import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'ipAddress'
})
export class IpAddressPipe implements PipeTransform {

  transform(ipAsArray: number[]): string {
    let ipAsString = "";

    if (ipAsArray.length != 4){
      throw new Error("Invalid IP")
    }

    for (let i = 0; i < ipAsArray.length; i++) {
      const byte = ipAsArray[i];
      if (i == ipAsArray.length - 1) {
        ipAsString += `${byte}`;
      } else {
        ipAsString += `${byte}.`;
      }
    }

    return ipAsString;
  }

}
